### Enumeration

# GObject SignalMatchType

#### Declaration

    flags GObject.SignalMatchType

#### Description [src]

The match types specify what g_signal_handlers_block_matched(), `g_signal_handlers_unblock_matched()` and `g_signal_handlers_disconnect_matched()` match signals by.

#### Members

Name | Description
--- | ---
`G_SIGNAL_MATCH_ID` | The signal id must be equal.
`G_SIGNAL_MATCH_DETAIL` | The signal detail must be equal.
`G_SIGNAL_MATCH_CLOSURE` | The closure must be the same.
`G_SIGNAL_MATCH_FUNC` | The C closure callback must be the same.
`G_SIGNAL_MATCH_DATA` | The closure data must be the same.
`G_SIGNAL_MATCH_UNBLOCKED` | Only unblocked signals may be matched.